<template>
  <list-item class="group-parent">
    <div class="group">
      <h3 title="Nazwa">{{ name }}</h3>
      <span
        ><tooltip>Numer katalogowy</tooltip
        ><font-awesome-icon :icon="icons.faWrench" /> {{ part_number }}</span
      >
      <span
        ><tooltip>Numer seryjny</tooltip
        ><font-awesome-icon :icon="icons.faIdCard" /> {{ serial_number }}</span
      >
    </div>
    <div class="group">
      <router-link class="link" :to="'/wyposazenie/' + id"
        >Zobacz szczegóły</router-link
      >
    </div>
  </list-item>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import ListItem from "@/components/list/ListItem.vue";

import { ItemData } from "@/interfaces";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import { faIdCard, faWrench } from "@fortawesome/free-solid-svg-icons";
import Tooltip from "@/components/utilities/Tooltip.vue";

@Options({
  props: {
    id: Number,
    name: String,
    part_number: String,
    serial_number: String,
    description: String,
  },
  components: {
    ListItem,
    FontAwesomeIcon,
    Tooltip,
  },
})
export default class ItemListItem extends Vue implements ItemData {
  public id!: number;
  public name!: string;
  public part_number!: string;
  public serial_number!: string;
  public creation_date!: string;
  public description?: string;

  public icons = {
    faWrench,
    faIdCard,
  };
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

@include bit-smaller-icon;

.group-parent {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-rows: 1fr;

  .group {
    align-self: center;
  }

  h3,
  span {
    position: relative;
    display: block;
    padding: 0px;
    margin: 0px;
    text-align: left;

    color: $black_text;
  }

  h3 {
    font-size: 14px;
    font-weight: bold;
  }

  .link {
    text-decoration: none;
    color: $dark_blue;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
  }

  span {
    font-size: 14px;
  }
}
</style>
